# -*- coding: utf-8 -*-
from dspawpy.io.utils import getTSgas

# 从计算结果文件json或h5中读取元素和坐标
TSgas = getTSgas(
    fretxt="dspawpy_proj/dspawpy_tests/inputs/2.13/frequency.txt",
    datafile="dspawpy_proj/dspawpy_tests/inputs/2.13/frequency.h5",
    potentialenergy=-0.0,
    geometry="linear",
    symmetrynumber=1,
    spin=1,
    temperature=298.15,
    pressure=101325.0,
    outfile="dspawpy_proj/dspawpy_tests/outputs/us/13TSgas.txt",
)
print("Entropy contribution, T*S (eV)：", TSgas)

# 如果只有频率txt文件，可通过手动指定元素和坐标完成计算
# TSgas = getTSgas(fretxt='dspawpy_proj/dspawpy_tests/inputs/2.13/frequency.txt', datafile=None, potentialenergy=-0.0, elements=['H', 'H'], geometry='linear', positions=[[0.0, 0.0, 0.0], [0.0, 0.0, 1.0]], symmetrynumber=1, spin=1, temperature=298.15, pressure=101325.0)
